---
title: Residencia 0x001B
date: 2023-12-05 12:00:00
description: 这是作者的个人博客 「Garden of Outlier」 的友情链接页面，名为「Residencia 0x001B」。作者详细介绍了其申请须知、相关规定等，并在结尾列出了自己目前的友链列表。
comments: false
---

老友，很高兴您能前来。我是 Chlorine（小氯），Garden of Outlier 的长居者和打理人，也是 *Residencia 0x001B* 的舍长和普通居民。如果您想了解更多关于我和园子的事情，请移步[关于](/about)页面。

这里是公寓的信息公示板，您可以在这里看到一些简单的介绍，以及如果您希望申请入住，所需要知道和做的事情，以及目前公寓的居民们。

## 公寓简介

### 基本信息

Residencia 0x001B，依然是一个没有中文翻译的名字。同样的，如果您觉得拗口，叫它「公寓」也无妨。~~反正园子里就这一个能住人的地方~~。

`0x001B` 是一个数字，您大致可以不必好奇其含义。

### 公共空间

如果您听小氯讲过了足够多的故事，或许会发现，小氯很喜欢提到「公共空间」。

这是公寓每一层都有的一种基础设施，其功能涵盖自习、团建、分享、饮食、发呆和使用阳光进行自我消毒等。小氯很喜欢在公共空间做一点事情，您几乎可以在任何时间在公共空间的某处捉到这只元素娘，然后让他 / 她 / 它给您泡一壶果茶或者讲个故事（如果没有在赶 DDL 的话）。

## 申请入住

### 申请须知

如果您觉得园子还蛮有意思，希望在此时不时小住几日，我非常乐意。不过，**希望您能先花一点时间，认真审阅一下下面的申请须知**。

- 您的海岛应至少建立了半个地球年（以自然年计算），且至少种植了十五株您亲自栽培的植物。
- 请您对您的海岛勤加维护，至少希望小氯前去拜访时，能在距当前日期十一个月十六天内看到您的身影（您大可以不必好奇，为什么偏偏是这个时间长度）。毕竟，我们都不希望在满怀希望地乘舟来访时，只能见到「中庭生旅谷，井上生旅葵」。
- 希望您能先在您的岛上，为小氯预留一个位置，以便小氯前去拜访时能够有一个落脚之处。我的个人信息可以参考下一个章节。
- 在您发出申请之前，希望我们之间能先有过一些互动，例如在彼此的海岛上留下足迹或寄送几张明信片。这不是硬性的要求，但的确是一个令人愉快的加分项。
- 原则上，只接受个人博客类的申请。世界上的海岛有许多，但是每一个都有它们不同的「磁场」。我们希望每一位居民，彼此都是兴趣相投、灵魂相通的「过时、老派、小众」的人或其他生物。
- 请勿含有非法内容以及其他违反相关规定的内容。在海岛上种植有毒或不讨人喜欢的植物，不仅会伤到自己，也会伤到您的朋友们。
- 此外，如果您的岛上有一个电子通讯社（RSS），那再好不过了。将来公寓的居民多起来之后，小氯可能会举办一些故事会，电子通讯社可以给我的工作带来很大的方便。当然，这也不是硬性要求。
- 以上全部须知的最终解释权归园子所有。

### 《入住申请表》

如果您希望成为公寓居民的一员，烦请您按照以下格式填写《入住申请表》：

- 我们应该如何称呼您？（昵称）
- 您的联系方式？（邮箱，可选项）
- 您希望以什么形象出现在公寓中？（头像。如果您希望留下小岛的徽章——站标，也没问题）
- 您希望入住哪个房间？（只要是未被选择的都可以，格式如 0108B，1312A 等。您可以选择 01 ~ 15 的楼层号和 01 ~ 99 的房间号。如果您不填写，将会随机为您分配一个房间。不必担心上下交通问题——我们有电梯，尽管其停留算法并不是很聪明 XD）
- 您的海岛位于何方？（博客 URL）
- 我们应该如何称呼您的海岛？（站点名称）
- 能否做个一句话的自我介绍？（自我介绍 / 站点简介 / 个性签名 / motto……总之，任何能标示出您的个性的简介都可以，但是最好不要太长。如果您不填写，将会使用 \${您的昵称}'s Blog）

您可以将您的《入住申请表》寄给小氯，会在看到消息的第一时间进行审核并回复您结果，请注意查收~

> [!CAUTION]
> 自 2025-04-10 起，公寓关闭评论申请，仅开放邮件申请通道。

附上我的个人信息，方便您在您的海岛进行登记。

- 昵称：Chlorine
- 头像：<https://img.viento.cc/avatar/02.webp>。本图片也提供 `.jpeg` 版本，直接更改后缀即可。
- 房间号（如果您有这个机制）：408A，服从分配
- 岛名：Garden of Outlier
- 地址：<https://chlor.me>
- 介绍：I am the residual of this world.
- OpenPGP Fingerprint：`6D5B304A9092892A6ABA149D3CA88990BB4FC521`

> [!IMPORTANT]
> 小氯的介绍和头像可能会不定时变动，如果您发现您岛上的信息与这边不一致，烦请您进行一下小小的改动，多谢。

## 公寓须知

下面是一些关于在公寓居住的规定和温馨提示。

### 饮食须知

- 您可以凭借您房间中的 ID card 前去食堂就餐，食堂提供 24 小时服务。
- 公寓内提供不限量的小食供应，包括但不限于：
    - 零食：早餐饼干（Cookie——哦，还没烤出来。园子没有 Cookie）、烤冷面、薯条、煎饼馃子（PHP，鬼知道我为什么这么叫它）、甜甜圈（C/C++）、绿箭口香糖（园子暂时不受新加坡法律管辖）
    - 水果：苹果（Apple）、桃、梨、百香果、橘子、蓝莓、草莓、树莓（Raspberry）、榴莲
    - 饮品：纯净水、茶水、牛奶（MilkScript，推荐用微波炉热一热再喝，对睡眠比较好）、咖啡（Java）、自制奶茶（目前只有焦糖味，因为小氯只会炒这一个，欢迎自行开发新口味）、果汁（JuiceScript，一般是少糖或者无糖的。多说一句，草莓果茶少糖比较好喝）
    - 如果您希望享受到一些小食，但是这里不巧没有，feel free to contact me OωO

### 生活须知

- 知道各位老友都是折腾的爱好者，公寓提供了包括 5G Wi-Fi、充电插座、7\*24小时照明设施、图书馆、没有设备的中央机房和核反应堆在内的日用设施，您可以放心地带上您的个人电脑。
- 宿管同志们将会在您的房间安装传送门，您可以通过传送门方便地来往于您的海岛和您在公寓的房间之间。
- 公寓不规定熄灯时间，您可以自由地安排您的作息时间。但是请注意，不要打扰到其他居民。相互尊重是和谐相处的不二法门。

### 安全须知

- 为了公寓的消防安全，请勿携带厨具进入公寓。如果您感觉需要补充能量，可以前往食堂。如果您觉得饭菜不合口味，请尽管向食堂工作人员提出意见。如果您认为提出意见后您的体验没有得到改善，可以打舍长一顿（轻点打嘤嘤嘤）。
- 请勿将电动车电池、集束炸弹、氢氧化钠、火星、混凝土搅拌机、王水、数据结构、沈阳大街、3-甲基吲哚、钋 210、某些互联网大厂、原子弹、波尔布特等危险物品带入公寓。

### 其他

- 如果未违反上述规定，您的房间将一直被保留和照料，直到我能保证的最远期限。
- 上述规定的最终解释权归园子所有。

## 申请变更

如果您的信息有变动，请联系我，我会在第一时间进行调整。特别的，如果您希望变更房间号，所需的时间可能长些，请给宿管同志们一些时间，为您进行整理和搬迁。

## 公寓的居民们

仅按照入住时间排序。

{{< friends >}}
