---
slug: weekly-8
summary: 浮生散记第八期
series: 岁时录
tags:
  - 周报
  - 去中心化
  - Artalk
  - 日常
  - RSS

title: Ephemeralis-Weekly（8）：七日漫谈
date: 2024-10-06
description: 本文是作者周报的第八期，涵盖了从日常生活琐事到技术尝试，再到哲学思考的广泛内容。文章从图书馆体验、意外受伤、回家旅程等琐事开始，展现了作者的日常状态。作者还分享了对旧衣物的独特情感，体现出对时间和记忆的深层思考。在技术领域，作者尝试了 Artalk 评论系统，对其功能和用户体验进行了详细评估，并与现有的 Twikoo 进行了比较。此外，作者还体验了 Follow 这一新兴的RSS阅读工具，分析了其对信息获取习惯的影响。社交方面，作者收到了中文博客圈的邀请，在喜悦之余也引发了对社交活动的复杂情绪；同时从一段家庭闲聊开始，表达了对家庭支持的感激之情。文章的最后，作者从「是否能构建一个非中心化的 Pixiv」开始，深入探讨了非中心化时代的社区基本准则，探讨了自由、隐私和必要监管之间的平衡等话题，展现了其对社区治理和运行模式的深刻思考。
categories: ["人间世"]
featuredImage: https://img.viento.cc/cover/weekly-8-cover.webp
draft: false
wikilinks: true
---

各位老友们好，我是 Chlorine。新的一期周报，双手奉上。

一如小氯[[Ephemeralis-Weekly（7）：唯有时光|之前所说的]]，感觉写周报应该更多地写一写这一周「自己的感知和经历」，本期算是一个小小的初探吧。因此本期的内容较为琐碎和冗长，~~主打一个低质高量~~，我甚至都找不出一个合适的标题，只能（从形式上）仿造薄伽丘的《十日谈》（甚至 「七日漫谈」这个名字都可以当作周报名称了，太宽泛了）。当然，副标题并不一定要是四个字，只是前面碰巧都是而已。

本文为园子周报——Ephemeralis Weekly（浮生散记）的第八期，日期范围为公历 2024 年 9 月 30 日至 10 月 6 日。祝食用愉快。

## 东馆初探

事情是这样的，在放假的前两天，我早上起来后去了三教自习。至于为什么去，和以往的理由不大一样，因为我寝室的水喝完了，我又不想再订一桶（马上国庆节放假了，订一桶喝不完，回来就不能喝了），于是准备去三教蹭免费饮水机（你可真是个小机灵鬼）。

然后学到大概九点半……抬头一看，嚯，教室里来了个老师，再一看课件，嚯，离散数学，图论。得，咱还是润吧。

然后……在这个时间点出去，会遇到什么大家应该都知道。

于是我打算暂时避一避，等到人少些再往回润，正好旁边就是东馆，好，就你了。小氯平时的活动范围小得可怜，图书馆只去过北馆。也算是新的体验了。

东馆和北馆不大一样，里面的设施相对北馆有一点陈旧，或者说是陈旧的感觉。以及，我居然发现，里面有一些座位，配备了显示器……显示器……显示器……

总体而言，我还是更喜欢北馆。可能是因为我更熟悉吧，就像是为什么最开始我觉得 C++ 怎么都不得劲，现在却感觉 C++ 的语法很舒服一样。

## 受伤

如各位所见，小氯有一个人物特质：每个夏天都会收获一种伤病。但是我实在是没想到，这个特质还可以在秋天发挥作用。

简单来说呢，就是……在放假的前一天，我骑着车子去上马原，结果前面的外卖小哥突然刹车了。我紧急刹车，然后我就……华丽地侧翻了。

很奇怪的是，我翻倒时心里没有任何波澜，最先冒出来的想法居然是……我记得外卖平台都有很严格的时间限制，我是不是耽误他们工作了？

外卖小哥明显也很懵，于是我告诉他：要不你先去送外卖吧，一会能过来扶我下就好。小哥连忙表示他的目的地就在前面，没关系的。于是我在地上坐了会，感觉恢复一点力气了，就在外卖小哥的帮助下站了起来。

我当时仔细感受了下，腿基本没事，右胳膊基本没事，但是左胳膊没有力气了。试着活动几下，还可以活动。因此我判断，我应该没什么大事，就让外卖小哥先走了，自己去上马原。

原本我是打算在马原休息时跟老师请个假，去校医院看看的，很不幸，可能因为这是国庆节前最后一节马原，因此老师没有设置休息。这让小氯的心情不太稳定。

下课之后赶紧去校医院挂急诊。经过一次照相、一次 CT 后，医生得出结论：骨头没事，有可能有韧带和肌肉损伤，于是开了些药就让我回去了。

然后小氯也没什么办法，只能是吃点药，在疼痛的地方喷一些云南白药，然后贴膏药。然后小氯就进入了单手打字的痛苦时光 TvT。

## 长路归乡

感谢 Kaiserreich 对本节的标题启发（Doge）。

简单来说就是，我[光荣而伟大的孙哥](https://clf3.org)帮我抢到了回家的火车票，于是我们一起踏上了回家的旅途。

具体过程我觉得各位应该不会有太大兴趣，毕竟一个无系的垃圾佬折腾达人和半个贵系的划水小白 FOSS 主义者碰到一起，能谈什么大家应该大致是有数的。我们只讲点有趣的事吧。

- 我忘记带午饭了，达成了早午饭都没吃的成就。
- 半路我的水杯滚到座位下了，然而我们没找到，直到临下车。
- 关于运动手表的对话
  - 小氯：您的运动主页的数据是从哪里获取的？
  - 孙哥：从运动手表里（叫什么品牌小氯忘记了），可以直接从这个品牌那里获取到运动数据。
  - 小氯：那这个手表开源吗？（`眼神清澈的小氯酱.avif`）
  - 孙哥：……鉴定为开源开魔怔了。
- 骗孙哥一起看了一部我电脑里面祖传的老电影，卓别林的一部经典作品。

然后大概是晚上五六点吧，到了我们市的车站，再坐一班车就回到我们县啦。话说在我们县的出站口，有一个学弟拉着我合影来着 hhh。

## 旧衣

小氯一向不喜欢买衣服。一方面来说，我一向对这方面的事极其倦怠，更别提反反复复试衣服或者从许多件衣服中挑选一件所谓「最好看的」会给我带来多大的心智负担。而且，小氯无论是在二次元还是三次元长得都比较「衣服架子」——That is，穿什么都至少不会显得难看。

所以说，当我中午在外婆家蹭完饭，昏昏欲睡却被父母拉去试衣服时，我内心是一百个不愿意的。但是他们表示，已经到秋天了，我在学校的衣服似乎有些缺，所以还是添几件衣服好。

但是说实话，我并不是很认同。在我眼里，一件衣服除非大小已经不合适或者发生了重大损坏，否则我至少要穿三年——这一方面是因为我平时比较节俭（习惯和认同，再加上的确没有大手大脚的条件），另一方面是因为我比较懒，不想总是换衣服。此外，我在某种程度上的确喜欢旧衣服。

倒不是因为说，旧衣服能体现我对审美的独特看法而不是被流行文化所裹挟（出自[这里](https://lillianwho.com/posts/week-summary-2023-38/)）——我说了，我不挑衣服，只是说我喜欢和以前一样。

我们看过去，总归是带着一层暖化的光晕的。如狄更斯所言的：「我们总是在离开一个地方后开始原谅它。」现在我看我的高中时代，我时常会忘记过去对那些令人无语的规定的吐槽和卧床期间极度的痛苦，而只记起来朋友递来的口香糖，下晚自习的清冽的风，令人捧腹不止的课堂，和在无数次联考中大杀四方的光辉岁月。

所以，还是换一件旧衣服吧，在楼层的公共洗衣机倒进足够的馨香剂和檀木味的衣物消毒液，再在阳光下晾干，刮掉表面粘上的白色绒毛。一年过去了，但是我们仍能想起来去年的这个时候，我们走在哪条道路上，忙于白昼生于午夜时心里在想着什么。

## Say Hello To Artalk

本节的标题不是《Hello，Artalk》，因为我现在还没切过去。

[Artalk](https://artalk.js.org)，鼎鼎大名的博客评论系统，也是在我眼里唯一能和 Twikoo 分庭抗礼的存在（Waline 也不错，但是 LeanCloud 似乎并不是什么互联网善人）。我的许多老友，譬如 [klcdm](https://koxiuqiu.cn) 和[杜老师](https://dusays.com)，都在使用 Artalk。

但是我还在坚持使用 Twikoo，目前的理由大概是：

- Twikoo 我从就建站开始用了，有惯性。
- Artalk 需要服务器部署，但是我的虚拟机的连接在校园网内实在是太过优秀，我不想每次自己看评论都看不到（~~然而你是不是忘了你还有一台套路云的服务器~~）。
- Twikoo 本身的功能以及 MongoDB、Netlify 的免费额度暂时够我用了（目前 MongoDB 的免费额度是 512 M，大概是够我存数十万条评论的）。

但是在我希望修改一些数据，但是我只能通过 MongoDB Atlas 进行简单的修改，逼着我去现学了 MongoDB Python SDK 的使用方法后，以及在看到[晚夜老友](https://www.iczrx.cn/archives/119/)的文章后，我又一次开始考虑 Artalk。

Artalk 本身的部署非常容易，写一个配置文件，docker-compose 一跑，反代一代就完事。Artalk 可选的配置项非常多，我折腾了很久，终于把飞书推送、邮件通知和注册都配好了。很可惜，我一直没有配好 Redis 缓存，不知道怎么回事。

下一步是在 Hugo 中整合 Artalk。按说这非常简单，但是由于万恶的 Swup 的 JavaScript 加载问题，我遇到了大量适配困难。一个很重要的问题是：Artalk 的 `init` 函数是页面特异的，因此 `swup.hooks.on` 方法是不能用的（不然会加载上一个页面的评论）。所以只能用回老方法，就是 `data-swup-reload-script`。不过好在，可算是加载出来了。

此外，Artalk 的亮暗模式是按照系统来的，但是我的博客不是。好在经过反复观察，我发现对于我的 Hugo 博客，其只由父容器 `Comment` 中的一个 `atk-dark-mode` 类控制。因此可以在初始化博客亮暗模式，点击切换时和 Artalk 容器填充时进行一个 class 的 add / remove。

——要是真这么简单就好了。

我本来的想法是在 `Artalk.init` 执行中加入一个 `onReady` 回调，在回调函数中封装一个控制 `atk-dark-mode` 类的 IIFE，但是不知道为什么，这个 IIFE 一直不执行，有可能是 `Artalk.init` 根本没有回调选项。观察者更别提了，用不了一点。目前我采用的是非常笨的办法，就是 `setTimeout`。坏处是会造成闪烁，但是我也没有更好的方案了。这就是 Swup，丝滑，优雅，但繁琐，就像是维多利亚时代贵族们华丽的晚礼服。

不过目前为止，Artalk 应该已经是一个生产可用的状态了。不过我目前依然将其存在一个分支中，站点还是使用 Twikoo。如果有一天我下决心切换，会以显性的方式通知所有曾到访园子的老友，尽快进行账号激活。

## Hello，Follow

[Follow](https://follow.is) 应该是最近博客圈非常热门的话题了。来自两位巨佬 [Innei](https://innei.in) 和 [DIYGod](https://diygod.cc) 的作品，号称「下一代信息浏览系统」，简单粗暴地理解的话，可以看作一个 ProMax 版本的 RSS 阅读器。但是 Follow 不止于此，其还创新性地加入了轻社交、原生 RssHub 支持等功能。

Follow 目前还处于 Alpha 阶段，需要邀请码才能使用。小氯虽然也十分心痒，但奈何没有合适的渠道，也不好意思直接和几位开发者讨要邀请码，因此只好施展战略定力。不料有一天晚上，小氯在闲来无事刷联邦时，发现所在实例 [Owu Social](https://scg.owu.one) 的另一位活跃用户 [@CDN18](https://scg.owu.one/@icarus) 表示可以送出一个邀请码。于是小氯立即与 CDN18 老友取得了联系，并最终获得了一个邀请码。此处向 CDN18 老友致以真诚的感谢。

现在距离我开始使用 Follow 也有几天了，先说说体验吧。首先是界面，虽然 Follow 是一个（对我来说算是 sore point 的）Electron 应用，但是其界面的精致和原生、交互的丝滑和流畅还是让我有种我在使用一个 SwiftUI 标杆作品的错觉，即使是我为了性能把动效减少到最少也是如此。至于 RSS 阅读体验，那没的说，尤其是对媒体文件的处理。用 [Pseudoyu](https://www.pseudoyu.com/zh/2024/08/05/weekly_review_20240805/) 的话来说，「有一种看久了 pure html 突然飞跃到加了现代化 css 效果的感觉」。

但是我只是将《Hello，Follow》作为这篇长长的周报（周记）的一个都算不上长的段落，而不是像许多博友那样单独写一篇文章，谈谈其对我的信息获取有什么颠覆性改变，因为**就目前来看，确实没有**。

我目前的感觉是：**对 RSS 和信息聚合越依赖的人，Follow 对其的价值就越大**。小氯目前只能算个 RSS 业余用户（~~这从我到现在都没攒够能生成一个邀请码的能量就可见一斑~~），信息的获取（注意不是信息的浏览）渠道更加偏向于静态内容（例如已经完结的教程，成套的视频教程，纸质书）而非是随着时间增补和替换的动态内容，少数的动态内容，例如一些博主的更新、Bilibili 的动态等（我不看 Twitter 和 TG Channel，谢谢），我也并没有一定要放到一个聚合来源的刚需，虽然说这样似乎的确更加高效；至于将其作为一个纯净化阅读器或者是更新通知工具，在我看来就像使用 Memos 作为说说一样——不是不行，甚至可以做得很好，问题是这本来就不是做这个的东西。而且，我目前获取的信息来源几乎都没有什么无法去除的顽固干扰物，即使是 Bilibili 令人眼花缭乱的弹幕，也可以直接关掉。

综上所述，Follow 是一个非常强有力的工具，但是我现在只是将其重器轻用，轻用到我自己都怀疑是不是太轻了，以至于浪费了一枚宝贵的邀请码。或许日后我会发现 Follow 对我更多的价值，但是——那是日后了。

事实上，在我看来，Follow 和其背后的 RSSHub 就像是一种多信息源到用户之间的 adapter，将各种信息源都变为 RSS XML 格式返回给用户，来提供一个聚合的阅读体验。其实也不一定要是 XML，任何能够承载足够丰富信息、能够便捷地解析和交换的格式都可以，只是历史原因让我们选择了 XML 而已。

## 加入「中文博客圈」

今早意外收到了一封邮件（~~快说谢谢飞书~~），来自于[印记](https://yinji.org)的站长——青山。

![|693](https://img.viento.cc/IMG-20241005140534.avif)

我对这个群也略有耳闻，其中有很多优秀的站长。能接到这份邀请，我有些受宠若惊。因为园子建立到现在起其实也不到一年，总的文章数（截至我敲这行字）也不过才 53 篇，即使是计算上那些在不断的迁移过程中有意无意地丢失的文章，应该也才七八十篇的样子。这可能也算是对园子的一种认可吧。

但是，就我第一反应的情感体验而言，我其实略微有一点犹豫。这当然和中文博客圈无关，而是应该归因于我的性格，总体而言我算是个 I 人，虽然在与人（无论是熟人还是陌生人）约饭或者进行别的什么社交活动时看起来都是落落大方侃侃而谈，在 Pre、小组讨论这样的场面下也常常是一个 ice-breaker，似乎显得非常长于社交，但实际上我的社交热情只能止于被动社交，熟人社交，以及 P2P 的社交。一旦面对群体性、主动性的社交，即使都是熟人，我也会感到有些不适。

我并不觉得这是什么需要改正的缺点，社会本就应该容得下性格开朗喜欢外向和性格内敛喜欢独处的人以及它们的一系列中间性状，而不是强迫所有人都顶着笑容灿烂而虚伪的橡皮面具，明明如坐针毡却还要笨拙矫造地热情得体。就像是我们常说的理想主义，这是所有最优秀的高等教育都一以贯之的思想血脉和精神基座，本就应当足够作为推动人上行而不是防止人下行的力量。如果这种精神在任何情况下都被无差别指责为「涉世未深」或者别的贬义词汇，那么应该反思的是发出指责的人——或者用一句火药味更浓的话，应该反思的不是我们，是你们。

扯远了，回来。最终我当然接受了邀请，毕竟这除了是一种认可，也是不可多得的学习和交流机会，就像是开发者大会或者经常会有的 Workshop 一样。以及上面的话只是我顺着自己思维的跳跃轨迹的一些想法，希望各位不要有什么误解。

## 原生家庭

在从奶奶家回家的路上，我和父母聊天。我娘开玩笑地说，现在只想找一个活不多、存在感低的单位去上班，躺平算了。

我不禁有些好笑：「为什么我感觉，好像我上大学之后，你的人生价值就已经实现了，这辈子就已经完满了一样。」

谁知我娘非常严肃地说，她确实是这么想的。现在出门，如果她自我介绍说她是 XXX，几乎不会有人知道，但是如果说是我的妈妈，（至少是在我家乡的小城的范围内）都会受人青眼。

我问：「现在很多父母都不希望这样，说是感觉这样自己这辈子就只剩下父母一个身份了，全部的价值都在孩子身上，就没有自我了。」

二老意见异常一致：他们不那么认为。然后我娘就开始反反复复地强调她有多么为我骄傲，但是我不要有太大压力，只要做好自己、健康快乐就好了。

一直没插上话的我爹说，他倒并不是因为我的高考发挥得不错就如何如何，但是他感觉，自己所有的遗憾我都为他弥补了。他当年没有考上重点高中，我考上了；他当年高考发挥失常，而我考得非常好。

我们三个哈哈大笑。

笑完之后，我们继续开车回家。我突然想到一个词：原生家庭。原生家庭（大概是指一个人出生和成长的最初家庭环境）这个词在近几年非常流行，似乎很多现象和问题都可以归因于原生家庭（事实也至少有一部分是这样）。

小氯自认为，小氯的原生家庭非常非常幸福美满。家庭结构相对简单，家族内的关系和谐，没有什么坑人的亲戚；虽然说几代人之间有过一些不和，但是都慢慢走向了互相理解；父母虽然偶有争吵，但是都能好好过日子；父母都极其开明，同时对我的成长都颇为上心；家境虽然远远不算殷实，但是至少没有到缺衣少食的地步。小氯不知道小氯给家庭带来了什么，但是所谓的「原生家庭阴影」，在小氯身上几乎完全不见踪影。

感谢我的家庭，他们把我养得很好，给了我情感上坚实的依靠。我爱他们。

## 我是一个过渡

> [!WARNING]
> 在开始我们下面的论述之前，有必要叠个甲：**以下的所有讨论都无意涉及任何的政治性或者有争议的话题，也不是对任何已有政策或者是特定实体的评论。** 还请各位抱着开放、包容的态度参与讨论。另外如果茶和饼干见底了，请前往公共空间自取。

## 一个外行眼中的非中心化时代的基本准则

很长的标题，不是吗？

事情的起因是这样的：我在听 B 站的日推时，发现了一张非常好看的图片（我觉得上面的人物应该是初音未来？）。然后我试图搜索这张图的原图，然后我就来到了 Pixiv。众所周知，在好看的插画方面，Pixiv 应该是最丰富的。

然后我突然想到了一个问题：**Pixiv 有非中心化的版本吗？**

容我解释一下这个问题：是否存在一个类似 Pixiv 的插画分享社区，但其具有自由、去中心化（或者是联邦化）的特征，一如 Mastodon 对 Twitter？[^1]

这个问题乍一看很无厘头，就像孙哥上面调侃我的那样「开源开魔怔了」。但是作为一个坚定的 FOSS 主义者以及 Non-Centralized Architecture 的喜爱者（但是，从技术上来说，我是绝对的外行），我在评估任何产品时都会思考其是否能有这样的替代品。

然后我就开始动手查阅资料。很遗憾，答案是还没有。但是确实存在一些类似的平台，比如基于 Mastodon 的 [Pawoo](https://pawoo.net)。

> Pawoo（パウー）は The Social Coop Limited が運営するMastodonのインスタンス（サーバー）です。 「創作活動や自由なコミュニケーションを楽しめる場」として、どなたにも幅広く使っていただけます。

机翻后的版本：

> Pawoo 是由 The Social Coop Limited 运营的一个 Mastodon 实例（服务器）。每个人都可以将其作为「享受创意活动和自由交流的场所」。

但是从技术上来说，有 Mastodon 为代表的 ActivityPub、LBRY、Matrix 等优秀的非中心化社区珠玉在前，写一个这样的去中心化（或者联邦化）的平台在技术上并不是不可完成的。在我看来，可能需要认真考虑的就是两件事：海量图片的存储以及约稿的支付事宜。前者可以借助 AVIF 等高效格式和 IPFS 等去中心化存储系统，后者则可以从 Steemit 等已有的社区中获取灵感。毕竟，都用非中心化插画社区了，应该也不会排斥收取一些去中心化代币作为约稿的报酬吧。

我为我的这个想法小小地兴奋了一会儿，仿佛能看到一个崭新的、美好的社区在非中心化时代的黎明如日之升，以及将来我在这样一个社区兴味盎然地寻找自己喜爱的插画的场景。

然而我并没有兴奋多久，因为我想到了一个严肃的问题。由于小氯思维的极度跳脱，我无法条理清晰地梳理我到底是如何联想到这个问题的，只记得思维链不短。简单来说，我想到的问题就是 R-18 图片的问题。R-18 或许还能说是在某种程度上可以接受的，但是如果比这更加……嗯，不适宜公共展示的图片呢？在现有的机制下，这类图片并没有很大的机会出现，但是如果是在一个更加自由的非中心化社区呢？这是我们想要的结果吗？

我们来把问题聊得更深入一些：**一个理想的非中心化社区，应当具有怎样的基本准则？** 或者把问题提得更大些：**如果我们将其作为一个可行并可以讨论的背景，那么非中心化时代的基本准则是什么？**

### 自由、隐私中心

这两点几乎不需要论述，所以请允许我略过它们（~~承认吧你就是太懒不想写了~~）。

### 社区治理

这个词让我想了很久，最终才勉强挑出了一个能够比较完全地概括非中心化社区的理想运作模式、同时还不会涉及一些不必要的联想的词汇，虽然说这个词可能也不算是那么恰当——「治理」（Governance）这个词，似乎本身就带有一些「自上而下」或者「中心决策」的意味。不过如果我们一定要问个究竟，其词源应该是希腊语 κυβερνάω，意思是驾驶。也就是说，「治理」实际上是通过某些方式控制社区运行的过程，那还不如叫「运作」。

扯远了，回来。一个较为理想的非中心化社区，其运行和治理模式应该具有如下特点：

- 非中心化：不会存在一个人或者一小群人作为一些重大决策或者是大部分决策的核心而其他人不能或者很难对结果产生实质性影响。这是句废话，要不然这个社区为什么叫非中心。
- 透明决策：一切可能具有社区性的决策都需要将其过程公开，使得任何社区成员都能进行查阅和了解。
- 社群参与：每一个社区成员都应该有参与社区运作的权利，同时也应该承担社区运行的义务。

毫无疑问，最后一点最难以理解，也最模糊。在我的理解中，这包括了社区运行本身的群策群力，社区成员对社区本身以及社区其他成员的尊重等。还是拿上面的类 Pixiv 社区来举例子，对于插画社区不可避免的版权问题，这其实也可以作为这条原则的一部分，也就是对其他成员权利的尊重。虽然开源和宽松的分享协议当然是被提倡的，但是至少就目前我们的认识，谁也没有权力强迫插画师这么做。如果插画师并不希望自己的作品被太过随意地使用，我们也应该尊重。

### 最小化但必要的监管

这是我希望重点论述的部分。注意，以下我可能会把「监管」和「监管基于的规则」混为一谈，因为对于在可行性层面上非刚性的规则（也就是社会学意义上的规则）而言，没有监管就意味着规则在实践层面毫无意义。

「抗监管」一直是非中心化系统一个非常大的卖点。因为没有单一的或者少数几个的中心节点，再加之非中心化社区在许多条件下的匿名性，因此对其进行监管的难度相当大。同时，可能是一种基于技术的思想风潮（或者有可能是反过来，我们探讨的东西就是一种由思想风潮衍生出的技术），许多人都主张应该建立一个「无监管化」的社区。在某些情况下，这几乎成了一种「意识形态」，乃至是一种极端化的、门电路一般无可迂回的判断——只要你有监管，你的社区就是有问题的，甚至你就不配做 Web3（请允许我不透露这条言论的来源）。

我们不去评价这样的言论的对错，我们希望探讨的是：**「无监管化」真的可能吗？**

从技术上，（在不出重大问题的前提下）确实可以做到无监管——或者至少是一个极大的近似，因此我们探讨的实际上是无监管化作为一个技术 - 社会复合体是否是合适的。

「合适」，这本就是一个模糊的词汇。就像是吃猪肉，在一个没有特定忌讳和宗教信仰的普通人眼中并不是什么事，但是在一个穆斯林眼中却是非常冒犯的行为。在探讨这类问题时，我们只能按照周总理的「求同存异」方针，尽可能地寻找一个最大公约数，也就是说，能不能保证不违反（社会学意义的）人类最基本的行为底线。

**很遗憾，就我目前的观点以及目前能够获得的实践证据，「无监管」尽管听起来非常「自由」，但是其做不到「合适」。** 不需要过多论证，一个基本的事实是：几乎所有人都做不到「君子慎独」，甚至许多人在有监管的前提下都敢于践踏人类的底线。那么在一个无监管的环境下，即使这个环境还不足以构成最有力的现实投射，也足以向我们展示人性可能的最黑暗的一面。「人们哭喊自由，说的其实是放纵。」不管是 Silk Road，AlphaBay，WannaCry 还是难以计数的「涉及未成年人的不适宜内容」（我实在说不出口那个令人难以接受的词汇），都已经用一种我们并不愿意看到的方式向我们反复强调了一个堪称颠扑不破的真理：**在进行任何技术实践时，都应以最坏的恶意度测人心。**

如果这样的案例只是少数，或许还可以说「不应该因噎废食」；但是如果这样的案例已经达到了这个规模、数目和严重程度，那么对于项目有责任的主理人和社区成员就必须作一些反思和改变了。

我的观点可以概括为一句话：**最小化但必要的监管**，也即保留必要的社区准则和监管，同时保证个人的自由和隐私以及基本准则的稳定。这当然不是什么容易做到的事情，无论是技术上还是非技术层面，做到「适当」的难度几乎相当于掷飞镖时将飞镖投到靶的绝对几何中心。但是我们必须试着做，因为我们想要一个自由、开放、公正又有秩序的社区，而不是一个严酷的电幕地狱或者一座燃烧的混乱之城。

最后，有一句话，送给那些极端自由主义者们：

> In no system that could be rationally defended would the state just do nothing.
>
> ——F.A.Hayek

---

兜兜转转写了这么多，感觉有些疲惫。尽管我已经尽力避免一切可能引起争议的名词和话题了，但还是不知道我的话是否足够中性。

最后，还是祝愿各位老友，都能享受「天放而不失其常」的良好而合理的自由。

[^1]: 一如下文所体现的那样，「去中心化」（Decentralization，其实一般指的是分布式）和「联邦化」（Federation）实际上是两个（甚至完全不同的）概念，虽然它们经常被（不正确地）混用。所以我们此处使用「非中心化时代」（Era of Non-Centralization）而不是更常见的「去中心化时代」（Era of Decentralization）。
