---
slug: weekly-9

summary: 浮生散记第九期
series: 岁时录
tags:
  - 周报
  - 博客
  - 日常

title: Ephemeralis-Weekly（9）：寒露清秋
date: 2024-10-13
description: 本文是作者周报的第九期。文章开篇讲述了作者回京的曲折经历，突显了生活中的不可预见性。接着，作者描述了秋季的凉意，表现了对季节变迁的细腻感受。在健康问题上，作者求助于中医，分享了痛苦的喝药经历。同时讲述了自己周末生病和写论文的经历，并提出了战损反而能提高自己学习效率的有趣观点。作者还分享了博客 300 天的感受，讲述了通过沟通解冻 X 账号的经历，同时反思了自己中文写作时的奇特表达，认为这是一种有趣的文化融合现象。随后作者回答了独立博客自省问卷 15 题，表现了对博客运营的总结思考。最后作者表示本期没有哲学思考，因为自己关于 Obsidian 和开源的随笔还在书写中。
categories: ["人间世"]
featuredImage: https://img.viento.cc/cover/weekly-9-cover.webp
draft: false
---
各位老友们好，我是 Chlorine。新的一期周报，双手奉上。

本期和[上一期]({{< relref "Ephemeralis-Weekly（8）：七日漫谈.md" >}})一样，都是以本周碎碎念为主，主打低质高量。~~我甚至在想这种碎碎念合集要不干脆拆成日记得了~~。

本期的标题没有任何特殊含义，单纯是一个时令的标记。也希望各位老友不要误以为下面的文章有什么诗意。OωO

本文为园子周报——Ephemeralis Weekly（浮生散记）的第九期，日期范围为西历 2024 年 10 月 7 日至 10 月 13 日。祝食用愉快。

## 回京之旅

小氯记得，在回家的路上和孙哥聊天时，有这么一段对话：

- 小氯：您打算几号回来啊？
- 孙哥：5 号，我票已经买好了。你呢？
- 小氯：我还没定好呢。
- 孙哥：？你还没买返程票就敢回来？
- 小氯：是的捏。（`眼神清澈的小氯酱.avif`）
- 孙哥：……你是真的勇。

我原本没把这件事放在心上，直到我发现我买不到回去的票了。候补了将近十张，但是毫无结果。无奈之下只好先买了一程近站票，希望能补票到终点站。

然后我从广播得知，由于列车运行压力实在是太大，暂时不能补票了。

喵的。

不死心的小氯去找了列车长。列车长倒是没有把小氯从车上扔下去玩星穹铁道，而是非常严肃地表示，如果能接受没有座位并且时时刻刻搬来搬去，可以留在车上，临近时大概率是可以补到票的。

最后小氯选择了留在车上。很幸运，最后补到票了（小氯当然不会违法乘车 awa）。只不过过程极其曲折。~~然而丝毫没有影响小氯的心情，小氯甚至最后从地铁站骑自行车几公里回了学校~~。

## 秋凉

周二是寒露，二十四节气之第十七。《月令七十二候集解》有言：「九月节，露气寒冷，将凝结也。」

体感上来说，早上一觉醒来（在高强度坐了一天火车后没有早八实在是一件令人欢喜的事），感觉自己的长袖睡衣有些冷，可能应该换棉质睡衣了。换之前，最好是把原本的睡衣彻底洗一下。此处第 N 次吐槽公共洗衣机，总是有种奇怪的味道（~~也不知道哪群大脑结构对现有模型提出实例性挑战的碳基生物在公共洗衣机里面洗袜子~~），需要大量的衣物消毒液和衣物馨香剂。当然，如果太阳很好，衣服晒干后的味道是很好闻的。可惜中间厅相对来说采光不是那么好，即使是夏天的正午也很难对衣服进行持续的暴晒。

……小氯本就是喜欢日光的，尽管正午的日光似乎有些刺眼。所以，公寓的公共空间都被装上了明亮的落地窗。

由于实在是感觉有点冷，因此中午去吃了碗羊肉（总花费 9 CNY 左右，小氯酱的神奇消费能力），感觉暖和了些。

## 喝药

如各位老友所见，小氯的身体一向欠佳。在保持健康的生活习惯的同时，求助于传统医学的智慧也是很自然的想法。于是趁着国庆假期，父母带着小氯拜会了家乡一位颇有名望的中医。中医为小氯开了些便于携带的药，嘱咐小氯说：每日早晚各一次，每次一包。

不过这个一包，并不是大家可能以为的一袋，而是十几袋，简直就是一份中药学期末考试题。

至于味道……嗯，怎么说呢？

先略微偏个题。小氯虽然不太能吃辣或者吃甜（果茶一般都要少糖的，喜欢比较自然的味道），但是对于一些古怪的味道有很强的耐受力，比如苦（高中时经常嚼苦瓜败火）和酸（直接吃柠檬片）。而一些味道很怪的药，比如说汤药，也是用水化开后直接捏着鼻子送进去，然后喝一点果茶就没事了。

**……所以，各位老友应该能想到，让小氯都觉得难喝的药，其味道究竟有多么春风不度玉门关。**

而且，由于药的量累积起来并不少，且不容易在水中化开，而小氯的水杯容量不大，因此药的浓度极高，还会有大量的残留，需要反复继续加水后才能溶解干净。而这个过程每天需要反复两次，就……怎么说呢？小氯有一种被氧化~~到坏掉~~的感觉。

## 战损版小氯

如各位老友所见，小氯的身体状况算不得乐观（~~这句话已经说了多少次了？~~）。而且小氯还有一个神奇的人物特质，在一切关键的时刻，必然发生战损。即将交论文的这个周末也不例外。

事情得从上面喝药说起。那天是周五，小氯课最多的一天，回来时已经是晚上七点左右了（如果是后八周，就是晚上九点了捏）。路上的风非常大，而小氯没有帽子，吹得头很疼。这时小氯已经感觉有些了不妙，毕竟伤风感冒对小氯来说简直是食堂的麻辣香锅——家常便饭。偏偏这时候小氯还做了一个非常离谱的决定：**点一份冒菜当晚饭**。

冒菜本来就是比较辣的食物，而小氯对辣的耐受力非常低。虽然小氯选了微辣并且在备注里反复强调「少放辣」，但是忙碌的店家显然没有时间去仔细照顾小氯的感受，于是我看着送来的一碗红色陷入了深深的思考。

最终小氯还是吃了，毕竟小氯睡得晚（尽管在大学生中算是非常早的），需要体力坚持到睡觉。直接结果是摄入了大量的水。

然后那天晚上小氯的精神就不太清醒，偏偏那天晚上，我还看到了一些令人精神状态极其不稳定的东西。浑浑噩噩了一晚上，论文一笔未动。眼看快到十点了，该喝药了。本来喝着也没什么大逝，结果……就在喝最后一口的时候，可能是小氯不慎把一小角塑料落到了杯子里，反正是有什么东西卡到了嗓子眼，然后……小氯就直接吐了，吐得昏天黑地。

吐完之后小氯的难受程度到达了顶峰，有一种天日昭昭（比阳还阳）的感觉。小氯不得不停掉了准备听的英语听力（~~不要为你的懒惰找借口~~），麻溜滚去睡觉。由于担心感冒药和中药冲突（尽管后者已经被吐了一大部分了），小氯也没敢吃感冒药。

然后由于小氯没定闹钟，因此睡了个好觉。挣扎着起来洗漱好，喝了一遍药，再洗一洗衣服，就马上要去吃饭了。由于实在是太难受，小氯也没敢吃什么重口味的东西，一碗阳春面了事。不过实际上倒也不算什么特别大的病，应该就是重感冒级别的，浑身各处疼一些，头晕而已。

下午回来，某个占了公共空间好几天打游戏的虫豸终于走了，于是小氯火速带着一大壶热水前去宣誓主权，顺便开始痛苦地写论文。

晚饭时间去了所谓的「营养轻食区」一探究竟，结果很惊喜地发现好吃哒非常丰富，遂随手点了一碗鸡汤米粉（小时候当小氯生病时，小氯的外婆经常给小氯熬鸡汤）和一个「七彩燕麦包」。

回去继续写。结果您猜怎么着？嘿！还没到十点，论文写完了！

回想一下这一天，饮食健康，锻炼充分，喝了很多热水，学习效率也蛮高的。

难道战损版小氯才是最萌的吗？（笑哭）

## 300 天

博客一百天时，小氯专门[写了篇文章纪念](/blog-100-days)；博客两百天时，小氯在[当周的周报里提了一句]({{< relref "Ephemeralis-Weekly（2）：生日快乐.md" >}})；到了博客三百天，小氯几乎连提都懒得提了。

~~那请问小氯酱现在在干什么呢？~~

之前忘记在哪听过一个奇怪的说法：很多节日和纪念日都是为了巧立名目去大吃一顿。那要是这么看，反反复复庆祝博客的各种纪念日，是不是也是为了在精神上让自己大吃一顿，告诉自己「天呐，居然已经这么久了，我真的好厉害啊」？

**不能说这种想法有错**，只是小氯现在并不时常采用这种心态而已。一方面说，小氯确实很懒，自己的生日都懒得过，更别说在博客的纪念日搞什么奇奇怪怪的活动；另一方面说，在小氯看来，就现在小氯坚持的这点时间，真算不上有多长——就在小氯敲下这行字的前不久，才刚给[张叔](https://laozhang.org)博客的十五周年发去贺电，而如果放大点看，这几百天可能只是小氯作为人类的生命的百分之一甚至更短，放在历史上更是微不足道——虽然说这几百天可能会在后世的史书上大书特书，但是除了 Web Archive 之外，又有谁还会记得，曾经有这么一只叫小氯的元素娘，在互联网的一个偏僻的角落，打理着一个小小的园子呢。

当然，我们现在做的一切，也并不是为了被历史铭记。历史的长河浩浩汤汤，其中最小的支流的最小的支流，就足够让园子中的植物朝露待日晞了。

所以……如果依然希望在精神上和身体上大吃一顿，小氯也不反对哦 OωO

## X 账号解冻

小氯有一个 X 账号，是不知多久以前兴味使然注册的。只不过小氯并不喜欢 X，再加之 X 在国内由于一些问题难以正常使用，小氯就没管。

然后，忘记多久以前，小氯偶然想起这个账号，登录一看，发现被 suspend 了。这倒也正常，理由大家都懂。

然后，就在这周，当小氯再次看到做不了任何操作的 X 账号时，突然就感觉不太舒服。起码让我把这个账号注销了，就在这挂着算什么事。

去简单看了下 X 的帮助文档，发现可以发工单（我习惯这么叫）。于是我就发了个简单的工单，内容不太正式，大概是：

> I've had my account for some time but recently found it suspended. I just updated my profile some time ago and haven't been active in any other way, so this suspension seems like a mistake. I use a 【神秘工具】 due to my location, which might have triggered this. Could you please check on this for me? Thanks a lot!

发送过去，等着。

这几天我时常去看 Gmail 收件箱，一直没有消息，还有点想抱怨牢马员工的效率太低了。然而今天我登录 X 一看，已经可以正常编辑 profile 了，这应该就是解冻了。**所以说，沟通很多时候还是有用的。**

因为我平时分享日常都用 ActivityPub，所有现在我的 X 账号基本上是空的，在那里放着。头像是一只 Q 版的小氯酱。

![|324](https://img.viento.cc/chlorinechan-q.webp "依然由豆包绘制")

还蛮喜欢这个图片的风格的，不过画得比较一般。或许需要找一位插画师约个稿？小氯的老友们中有很会画画的，但是风格和这个都不大一样。

## 小氯的中文风格

有时候看一些我曾经写过的文字，会感觉语言风格有些奇怪。就拿前面一句很简单的话来说：

> 在高强度坐了一天火车后没有早八实在是一件令人欢喜的事。

这话怎么听都不像是地道的中文表达，带有明显的翻译腔，至少非常不口语化。然而事实是小氯是地道的中文本族语者，没有任何表达能力障碍，更没有用英语写 blog 然后翻译成中文（~~真有那个水平就好了~~）。

仔细想了想，似乎这个现象在小氯这里相当普遍。无论是时不时探头的长难句（中文的长难句相对来说没那么多，除非刻意生造），还是大量的名词化表达，抑或是奇怪的语序和用词，都给人一种~~像路易十六一样~~摸不着头脑的感觉。这种感觉在写 GitHub issue 时尤其明显。

这实在是有些令人费解，尤其是在考虑小氯还好好地住在国内，周围的语言环境基本也都是中文的。英文材料看得也不多，好多英语电子书还是堆在 To-Be-Read 列表里面。如果要说小氯的英文很好……至少小氯不敢如此自居，平时写英语邮件、issue 经常需要「帮帮我，GPT 先生」，口语更是一塌糊涂，去和外国小哥交流大部分时候都会把人搞成物理意义上的黑人问号（但是要说不好的话，高考英语 145+，CET-6 将近 680，似乎也算不得太差）。

如果一定要找原因，可能就是更多的实践性写作让小氯的思维方式和表达习惯多多少少带上了一些英语的色彩。小氯不认为这是件坏事，不过有时候面对着自己写出来 / 说出来的句子，也会忍俊不禁。有趣的跨文化融合现象，不是吗？

## 独立博客自省问卷 15 题

最近[雅余大佬](https://yayu.net)发了个「独立博客自省问卷 15 题」，很多博友都在回答。那小氯也来答一下吧，~~虽然说这样多少有点跟风的味道~~。

这让人感觉有点像过去小氯刚有 QQ 时，空间经常有的问卷。只不过，现在是一群距离更远、更加陌生但是更加志同道合的人了。

### 你的博客更新频率是多少？

不一定，随缘。但是一般来说，一周不少于一次。种一株新的植物，讲一个新的故事，还要看时间吗？

### 你的博客上次更新是什么时候 ？

这周，看[这里]({{< relref "咦，我的按钮呢？.md" >}})。

### 你的博客文章是原创的吗？

是的捏。小氯有时候会用到 AI 辅助（主要是聚合一些信息，以及快速了解一个不熟悉的概念），但是从不用 AI 写文章（来自一个创作者的观念和 Not By AI 运动的承诺）。至于转载，小氯不大懂这样做的意义所在。如果觉得一篇文章写得好，直接放一个推荐链接不行吗？

### 你觉得自己的文章对他人有帮助吗？

难说，或许有点用，理性价值，实用价值或者是情绪价值。

### 你上次换博客主题/程序是什么时候？

忘记了……我查查我的博客年表……是 2024 年 6 月 25 日，大概是三个半月前。

### 你上一次捣腾博客主题代码是什么时候？

~~您猜我的主题是怎么改出来的？~~

上次……应该还是在上次，大概这周以内？

### 你会对博客主题进行二次开发？

……怎么说呢？如果这是道简答题，我的答案是肯定的，但是这是道选择题……

直接说吧。小氯现在的博客主题是基于[恐咖兵糖](https://www.ftls.xyz)大佬开发的 Landscape 主题，而 Landscape 实际上是对 [Fuwari](https://fuwari.vercel.app) 的 Hugo 复刻。小氯很喜欢 Fuwari，于是把 Landscape 叉了过来，并且按照自己的喜好加了一堆功能，包括但是不限于：

- Twikoo 评论
- 霞鹜文楷 Bright 字体和 Fira Code
- Algolia Docsearch
- 多级导航栏
- Fancybox 灯箱
- Obsidian 风格的图片链接和 caption 渲染
- KaTeX 数学渲染（未找到最佳方案）
- AI 摘要（大嘘）
- 糖果特效
- Shiki 高亮
- 代码一键复制
- 公告组件
- 站点运行时间计数器
- wowbook
- 友链
- 若干短代码（GitHub 等的仓库卡片，时间线组件，事件线组件，友链短代码，说说短代码，Alert……）
- 404 页面

美化了：

- 文章详情页（主要是边距）
- 移动端文章卡片样式
- 移动端 nav 弹出（未找到最佳方案）
- 侧边栏（主要是一点点组件图标）
- 一些 Markdown 样式（比如引用块）

修复了 Swup 导致的一大堆问题，主要是各种 JavaScript 加载，比如说点击主题切换按钮不管用……

虽然说核心部分没有动什么大刀子，但是我觉得改到这个程度，大概已经可以算一个新主题了。我给它起了个名字，叫 Efímero（浮光），把 Landscape 的链接放到了关于页面。

### 你多久打开自己博客自我陶醉一次？

如果是打开博客……一天好几次。不过「自我陶醉」……好吧你说得对 qaq

### 你近期对自己博客域名什么感受？

还好，我的博客域名是我的英文名。有点长，不过还行。如果可以的话，有点想搞一个 `xiao.lv` 或者是 `xiao.cl`（Cl 是氯的元素符号）。

此外我发现，`xl.me` 似乎是 available 的，而且价格非常正常。但是扔到购物车之后，再搜索就发现价格离谱了。不知道是不是 Spaceship 的 bug。

### 你每天都会看网站的流量统计吗？

什么是流量统计？（呆萌）

### 你通过博客的广告赚到钱了吗？

没有广告，可见未来内应该也不会有。

从理性的角度看，园子的运营成本（指显性成本，也就是会计成本）只有一个域名的价格（可能还要算上为了保备案的服务器费用，但是这不算是园子的成本，因为没有它园子也能运行），小氯再缺钱也没必要为了这点钱去污染园子的游览体验。就算就算是小氯想污染，就凭园子这点流量，也没有什么商家愿意在这里打广告，就像没人会在鲁滨逊的荒岛上拉横幅一样。

> 没那个能力知道吗？——范志毅

从感性的角度看，小氯也不希望园子沾染上这样的气息。世间没有桃源，但是在互联网的海洋里造一个近似的还是能做到的。

### 你去浏览别人的博客/网站主要为什么？

为了回访啊。

小氯偶尔也喜欢跳任意门（比如[十年之约的虫洞](https://foreverblog.cn/go.html)和[开往](https://travellings.cn/go.html)），去随机看一看互联网上其他的小岛。但是作为赛博社恐分子，小氯主要还是贯彻 P2P 社交。

### 看到别人分享了一篇文章，你打开第一反应是什么？

还是看文章内容吧，尽管美观的主题和流畅的加载会给小氯以非常舒适的情感体验。

### 你觉得博客哪方面更重要？

这题我很想回答「内容」。很遗憾，尽管小氯确实觉得内容非常重要，但是倒腾了这么久的主题，很难说小氯最看重内容是真心实意的。

### 近期通过写博客有哪些新收获？

让我想想……

题目中的四个选项，似乎除了「知识变现」之外都有——有认识新的老友（这个词组似乎听起来很别扭，但是如果您熟悉小氯的表达习惯，就会知道小氯口中的「老友」实际上也不需要认识很长时间 :D），知识面也有了扩展，写作水平也有了一定提升。

但是小氯觉得，这个问题没那么简单。如果要深挖，这实际上是一个很哲学的问题：

> 我们为什么要写博客？或者是博客的意义在哪？

这个问题可以写一本书。或许等到园子周年的时候，小氯会专门写篇文章讨论一下吧（`画大饼.gif`）。

## 哲学思考呢？

之前小氯写周报，多少都会在最后一个章节讲点哲学。但是本期没有，不是没进行，是没写完……

小氯最近在看 Obsidian 官方论坛上一个非常大的 thread：[Open Sourcing of Obsidian](https://forum.obsidian.md/t/open-sourcing-of-obsidian/1515)，是 Obsidian 还很年轻时，用户们对 Obsidian 为何不开源以及是否应该开源的讨论。

作为一个 FOSS 主义者，Obsidian 不开源一向是小氯的一个 sore point。但是在看这个巨大的线程时，小氯又有了一堆新的思考，甚至还涉及一些 FOSS 本质的问题。所以小氯的这篇文章越写越长，现在已经和这篇周报差不多长了。以小氯的性子，很可能会去看完《大教堂与集市》之后才能继续写。~~不要为你的鸽找借口~~

行了，小氯承认也是因为这周末生着病写报告写论文太疲劳了……这篇文章不会鸽太久的，小氯保证。OωO
