---
title: 申请 Notion 教育账户的一点事
date: 2024-04-01
slug: notion-edu-account
summary: 教育优惠也许会迟到，但永远不会缺席
description: 本文讲述了作者申请 Notion 教育账户的经历。作者尝试将账户邮箱更改为教育邮箱以获取 Notion Plus 的高级特性，但遇到验证码延迟的问题。通过联系 Notion 支持并多次尝试，最终成功切换为教育账户并享受了免费升级。作者最后表达了对 Notion 这类 All-in-one 软件的喜爱，并提到了一些替代工具。
tags: 
    - Chat
    - Notion
    - 博客
categories: ["百草园"]
---
各位老友们好，我是 Chlorine。

众所周知，Notion Plus 有着各种各样的高级特性，例如 Notion AI。更妙的是，Notion 仁慈地提供了教育优惠，只要你是学生/教师，就可以免费获得 Notion 教育账户，除了只有一个成员以外，可以使用 Notion Plus 的所有高级特性。

虽然我用 Notion 不多，基本只是拿来发个博客，但是这种白嫖的机会怎么能放过呢。

在 Notion 网页版里，点击 Settings & Members-My Account-Change email，原来的邮箱接着验证码，然后输入教育邮箱，等着接验证码。

然后就没有然后了。

![|500](https://img.viento.cc/emoji/EMJ-confused.webp "黑人问号.webp")

我刷新页面，检查垃圾邮件文件夹，把邮箱翻了个遍也没翻到验证码。

以往这种时候，我就直接放弃了，但是今天我偏不。

在右下角找到 support，直接把问题扔进去。

> Hi, I'm currently trying to change my Notion account to an educational one, but unfortunately due to some e-mail network issues or something I couldn't receive the identification code. Is there any other way to finish the identification?

立即就弹出来一个窗口，要求我输入邮箱和学校名称。

照做之后，Support 窗口（我也不知道到底是人还是机器人）显示会有支持人员和我联系。

OK，那就等吧。结果不到一分钟，来了封邮件：

![](https://img.viento.cc/IMG-20240401155437.webp)

嗯，那我先把能做的做了。邮件设置里面把 Notion 的邮件域名开个白名单。

然后不一会，验证码到了。

看一下时间，是 15:17 的，显然不能用了。

也就是说：**Notion 的邮件通知会有长时间的延迟。**

行吧，有延迟就有延迟，大不了再等会就得了。

在 15:56，验证码又来了。然而这次又是错的，可能是时间太长了。

好吧，那我再试一次。

这次来的倒是快，直接输入验证码，然后就成功切换为教育邮箱了。

然后在 Upgrade 界面中划到最底下，点击切换为教育计划即可。

然后就可以快乐白嫖了 ～

说起来，感觉现在对 Notion 这样的 All-in-one 软件越来越青睐了。Notion 除了不能离线之外，几乎没毛病 ~~对数学公式的支持除外~~ 。现在的替代品，像 Anytype，Affine 和对 Markdown 支持非常好的思源笔记都还可以，等去研究下。
