---
title: 四方行纪：重庆
date: 2025-05-06
slug: travel-chongqing
featuredImage: https://img.viento.cc/cover/travel-chongqing-cover.webp
categories:
  - 逍遥游
tags:
  - 旅行
  - 重庆
series: 四方行纪
summary: 于是转身向山里走去（误
description: 本文介绍了作者以「五一」假期为契机，临时起意前往重庆旅行和拜访朋友 W 的全过程。文章以轻松幽默的语言记录了作者出发、到达、住宿、饮食、游览和休闲的真实体验。通过描述重庆的地铁、城市地形、西南政法大学、火锅和江湖菜等，展现了重庆独特的城市风貌和饮食文化，同时穿插了与朋友的互动和日常琐事，以及在炎热天气下选择宅在酒店玩游戏的日常。文章不仅有对重庆地标如解放碑、洪崖洞、嘉陵江夜游等地的亲身体验，更表达了与朋友相伴、随心所欲、无计划出游的轻松心情。结尾部分，作者感慨旅途虽无惊天动地之事，但与朋友共度的时光、沿途的风景和留下的回忆才是旅途的意义所在。整体上，文章既有事实性的旅行记录，也包含了作者主观的感受和思考，突出「迁徙、探索是人类本能」的主题，表达了对未来旅行的期待和对重庆的温情回望。
wikilinks: 
lastmod: 2025-05-06
---

各位老友，上午好。这里是 Chlorine。

本文属于园子的新系列——《四方行纪》。这严格来说并不是一个系列，而是一组文章的松散集合，内容就是小氯从物理上在世界上随机游走的记录。该系列统一归属于分类「逍遥游」。

## 前言

其实「五一出去玩」，属于一个临时起意的决定。小氯的假期一向是回家或者在宿舍蜗居，对于旅游兴趣不大。

只不过，在繁忙的期中季的间隙的一个上午，小氯心血来潮地去了附近的另一所大学，和自己的一位老友一起逛了逛，聊了会天。那是个美好的上午，尤其对于期中季精神状态不太正常的小氯来说。

然后小氯突然感觉：似乎，出去走走也挺不错的。

再看看自己周围都在一边被期中折磨一边畅想自己五一去哪里玩的同学们，小氯就自然而然地：

> 要不……五一出去看看？

从实践的角度，这当然没问题，小氯的奖学金买几张机票还是绰绰有余的。而家里人呢，娘亲恨不得每个假期把我撵出去让我到处旅游。

那么，去哪里呢？

由于五一不算长，很远的地方大概是不行的，比如小氯一直想去看看的冰岛。最终小氯选了一个有点远但是不完全远的地方：

世界渴望之城，重庆。

虽然说对于重庆和君士坦丁堡之间有什么关系感到异常困惑，[^1]并且吃辣的能力并不出众，但这并不影响小氯对重庆的兴趣，因为小氯在此地有一位关系好到愿意对彼此倒履相迎的朋友——没错，还是知识面异常宽广，精神不太正常的那位。为了方便，我们下文姑且称他为 W 吧。

W 帮我订了酒店（很巧，正好还剩下两间房。而且重庆的酒店价格也很低，至少比小氯所在的城市低不少），而我则在考完物理学期中的那个下午，边打电话边订了机票。老实说，这个机票还是蛮贵的。可能是五一的缘故，也可能是小氯不太会抢便宜的机票吧。

然后？没有然后了。小氯喜欢 Set-and-forget 的东西，作业是这样，容器是这样，旅行也是。

嗯，倒是 W 很兴奋，一直在计划这几天去哪里。

## 起飞

小氯出发的日期定在了五月一日。无他，小氯 29 号还有事情，而 30 号的机票价格像宰人航天。

从小氯的学校可以比较方便地到机场，只需要倒几班地铁就可以了。不过在临走前，小氯看到了一位同学也要去机场，遂达成了愉快的拼车协议。最终两个人各拿了七八十左右，虽说比坐地铁去机场贵，但胜在省心。

两点多出发，坐了将近两个小时的出租车到机场。然后就是平平无奇的值机和安检环节了。不知道为什么，这次的安检似乎格外严格，另一边都检了好几个了才把小氯放过去。

值得一提的是，小氯在坐直梯时，上来了一位外国女士。以下是发生的对话：

- 外国女士：Down？
- 小氯：Down！（下指）
- 外国女士：（上电梯）

突然想起了高中英语老师给我们讲的笑话：

> 实际上，现在各位同学的水平已经足够去英语国家旅游之类的了。就比如说，你要让一个老外上车，你根本不用什么高级表达之类的，就车门打开，「IN!」，然后下车就「OUT!」，他们就能明白是什么意思。

坐飞机的过程也没什么好说的。小氯前半段在看带的书，后半段在打开电脑敲字。不得不说，飞机的小桌板是真的又小又不稳定。至于小氯是怎么敲字的……您知道为什么「笔记本电脑」叫「Laptop」嘛 OωO

飞机餐是盖饭。虽说在已知落地后有人招待的情况下这样似乎很不理性，但小氯今天从起床开始到傍晚登机，只吃了一根香蕉和几块饼干。为了活着到达世界渴望之城，还是要吃点东西的。

## 行百里者半九十

大概晚上八到十点钟，小氯降落在了重庆。这里的夜似乎才刚刚开始，走出航站楼，空气中似乎有一股湿润的草木气息，略带热气的风迫使小氯脱下了自己的外衣。

W 订的酒店在市中心附近，因此我们还需要叫一辆车过去。还好在叫车之前小氯看了一眼自己的打车软件，不然可能就被出口的网约车揽客员（不知道这个叫法是否正确）以将近两倍的价格拐走了。

一路上的行程都很顺利，直到来到了离酒店一公里左右的位置。

据司机说，这里是一个著名的堵车地点。而不知是什么原因，今晚这里似乎有什么活动，因此人流量更大了。

「看来我的运气不太好啊。」等待的间隙，小氯随口说。

「应该说你运气相当好。不然如果我早知道要来这里，我说什么也不会接这一单的。」司机师傅吐了一口烟，用重庆话和我大声地抱怨。

在半小时内前进了二百米后，小氯终于忍不住了，背起自己的背包直接下了车。此地距离酒店也就不到一公里了，虽说小氯腿脚不好，但走过去还是没问题的，甚至还可以小跑两步。

然后就在离酒店二百米的地方和 W 惊喜会师了。

> 哇贞德食泥鸭！（笑得像个看到杂技表演的小孩子）

酒店的房间比我想象中小，大概……嗯，大概多大我也说不清楚，总而言之就是一个普通的酒店房间的大小（~~废话~~）。酒店的进门处配备了重力感应地板，一脚踩上去会发生明显的凹陷，提醒你地球 online 拥有业界最优秀的物理引擎。小氯第一下踩上去的时候差点被感动得跪在地上。

至于好的地方……大概是正对面的位置有一扇落地窗吧。从这里，可以直接俯瞰嘉陵江。

回酒店之后第一件事自然是吃点东西。W 提前订了冒菜，虽说出来旅游了还点外卖有一点抽象，不过反正我们都不愿意出门，一起吃点东西聊聊天也不错。

这份冒菜的味道很好，至少比小氯在学校时点的预制菜好太多了。只不过 W 先生点的米饭属实是有点多——小氯的食量也就那么大，一顿最多消耗二两米饭（小氯也不知道这个二两米饭是干重还是直接重量，估计是后者，反正看起来不满一碗），因此只好遗憾地浪费粮食了。

## 小面

晚上睡了个好觉。第二天大概九点钟，便起床去找 W，一起去酒店的餐厅吃个早饭。

餐厅的老板娘（不知道应该叫「女老板」还是「老板娘」，但我只看到了这一位主事人）是个和气的人，喜欢用打着旋的口音向我们推荐食物。在老板娘的推荐下，我们点了一份小面，也算是重庆的特色食物了。

这里本来应该有一张图，但由于小氯的摄影能力差到了一种境界，我担心小面会对此表示不满。此外，小氯也懒得给废纸篓镀金了——后面的所有照片基本都是原片直出的，没做什么 PS 之类的。由于 AirDrop 的时候选了兼容格式，可能会有一点损失，但不放大应该看不出来（`敷衍.avif`）。

说回小面。这种食物看起来很油腻，但是味道极好，且并不辣。据 W 说，重庆的饮食大致以高盐、高油和辣为特征，这倒是和小氯家乡的（至少是家里的）习惯差不多，因此吃起来反而感觉蛮亲切的。

## 星穹铁道

在小氯过往的认知里，地铁应该是在地下的。但去深圳的时候，小氯见到了飞驰在大桥上的地铁，从此对于城市轨道交通的位置要求变得无比宽松。

但是也没人告诉我……重庆的轨道交通会抽象到这个程度啊。

简单说，我们吃完小面从酒店出发，边聊天边爬了大概几层楼的高度，才到达「地铁站」。在坐上地铁之后，我们便看着它……向着天空一路疾驰，然后跨过了大山和江河，行驶在整座城市的上空。

嗯，我不玩星铁，谢谢。

最终我们停在了李子坝（应该是这个名字），也是顺便见识到了地铁从楼里面穿过去的奇妙景色，小氯酱表示情绪稳定。

然后……

![liziba-so-crowded|513](https://img.viento.cc/20250505-liziba-so-crowded.avif)

我知道二号线的人会很多，但怎么会这么多啊喂？

随着人流艰难地蠕动了十几分钟之后，我们下到了地面——姑且叫它地面吧。然后我们汇入了更大的人流。

在重庆中午的太阳下，在前胸贴后背（字面意思）的人群中行走，这种感觉小氯相信大家都不会很喜欢。事实上，小氯回去就中暑了，八成是托了这段旅程的福。

等到好不容易走出来了……我们要去哪来着？

~~吃了最多的苦头却不知道自己到底要去哪，这倒是挺哲学的。~~

反正小氯是怕了所有能被称为「旅游景点」的地方了（你不是早就知道这一点吗？~~明知山有虎，就不要去明知山啊喂！~~），只想找个风景不错同时人少的地方看看。

思考了几分钟后，小氯对 W 说：

> 不如我们去你们学校看看吧。

## 西南政法大学

几十分钟后，我们站在了西南政法大学的某道门前。小氯不清楚这是哪道门，但据说是一个「临时正门」，真正的正门还在修。

然后我们使用了某种特殊技巧进入了学校，一边在道路上漫步，一边听着 W 的讲解：这里是第四教学楼，分成南北两个区，这个是汇报厅，不过用得不是那么多……

原来，听听其他人讲自己的学校是这种感觉啊。

走下汇报厅的一道楼梯，我被眼前的路况震惊了。

「你们平时要经过这么大一个坡上学吗？」小氯指着路面不敢置信地问。

W 无所谓地耸耸肩：「是的。我说了，我们是山民嘛。」

![swupl-slope|427](https://img.viento.cc/20250505-swupl-slope.avif)

现在我大概明白为什么这里找不到多少共享单车了。

越过这里向着另一边走去。然后，小氯看到了可能是整个路程中最震撼的风景。

![swupl-roman-square-1|519](https://img.viento.cc/20250503-swupl-roman-square-1.avif)

![swupl-roman-square-2|518](https://img.viento.cc/20250505-swupl-roman-square-2.avif)

这是西政的一座广场。据说常常被用作辩论、聚会的场所。

老实说，小氯已经想不到什么合适的形容词了，唯一能想到的表达是：

> 这很希腊 / 罗马。

顺便说一句，这个广场原名就叫奥林匹亚音乐广场，现在叫罗马广场。

越过罗马广场，走过游泳馆，就是北宿舍区了，也就是所谓的「坡上」。不得不说，西政是个很有趣的学校。如 W 所说，这是个人文关怀很足的地方，居住条件也是一流的。~~此处与某些人均宿舍面积不如牢房的高校形成鲜明对比~~。

绕过北宿舍区，是西政的食堂。虽说叫食堂，但实际功能更接近社区中心，据 W 说经常可以看到有小组或者辩论队在这里一边喝着饮料一边研讨。我们在这里稍稍坐了一会。

后面的路线小氯记不大清了。大概是绕回了罗马广场，顺带去瞻仰了一下刘伯承元帅的半身像，随后是西政的图书馆和……湖？我并不知道这个湖叫什么名字。

![swupl-lib|554](https://img.viento.cc/20250505-swupl-lib.avif)

不得不说，这幅风景很美。在读书的地方周围有一片水体还是很好的。

然后我们绕到了某个食堂周围的一处二手书店，并进去逛了逛，并对西政的书店里为什么会有分析化学表示困惑。再随后的事……坐着校园巴士，到了北门。我们都有些热且疲惫了，需要回去休息一下。

此外：一张小小的照片。

![swupl-minitrue|497](https://img.viento.cc/20250505-swupl-minitrue.avif)

这是西政的一栋办公楼。据 W 说，这里有西政的「舆情监控中心」，又被称为西政真理部。

## 火锅

问：如何让小氯酱脸红？ (///∇///✿)

答：红油火锅。

~~你这不是脸红，是红温了吧~~

来一次重庆，火锅自然是不得不品尝的一环。据 W 说，由于重庆火锅行业的高度生态位重叠和裹挟式竞争（人话：内卷），任何一家能在重庆生存下来并且具有一定规模的火锅都不会很差。

那就让美团帮我们来挑选一下吧。附近评分比较高的一家离我们的酒店大概几百米，那我们就走着过去吧。

到了之后……嗯，确实很热闹——有一桌气氛活跃的客人在唱歌。虽然有点……嗯，过于热闹了，但倒也没跑调，蛮好听的。

然后？然后也没什么可说的。拿菜单把看起来顺眼的菜都勾一遍，然后等着上菜即可。

顺带提一句，我们所坐的桌子能够完整地俯瞰嘉陵江。

![hotpot-jialing-river|530](https://img.viento.cc/20250505-hotpot-jialing-river.avif "欢迎来到……夜之城")

然后自然是经典环节——调酱料。小氯在火锅店里面拌酱的操作一向是很抽象的，简单说就是把各种能加的小料几乎都加一遍，像是一位睡过头了的见习魔女在突发奇想地配药。一般来说，这样吃火锅是很舒适的（小氯喜欢味道浓一些的），但这次小氯犯了难。

嗯……首先让小氯科普一下，小氯家乡（至少是家里）的火锅的酱料吃法。我们一般盛好酱之后，会加一勺火锅的汤，用来把酱拌开，同时增加鲜味。

但很明显，这种吃法并不很适用于红油火锅。在我将一大勺红色的汤浇到酱料碗里时，我的直觉告诉了我这一现实。

> 这样拌好的酱料……似乎不太像是能吃的样子啊。

要巧不巧，第一道菜是毛肚。

第一口到底有没有脸红小氯不清楚，但是确实是差点红温了，眼泪都要呛出来了（这甚至还是「微辣」）。

然后万能的 W 为我推荐了一种奇妙的东西：油碟。

简单来说，油碟就是蒜末 + 香油。事实证明向导果然重要，这种料底莫名其妙地解辣。虽说还是感觉很辣，但至少可以比较顺利地吃完这顿饭了。

我们边吃着火锅边有一搭没一搭地聊着天，例如刚才下锅的马铃薯还需要煮多久，对于脑花这种食物的评价，《让子弹飞》（~~吃着火锅唱着歌~~），几位老朋友的近况，Dedekind 分割，人群的纪律性，如何和 W 的群友炫耀这几天的现充生活，~~以及小氯到底是不是女孩子的问题~~。中间还遇到了一位付费点歌的歌手，虽说我们显然没有点歌的需求，但出于尊重还是礼貌地聊了两句。希望他能在下一桌开张。

## 蜗居

> [!TIP]
> 下面这段话没有什么关于重庆旅行的介绍，同时涉及大量的 *Hearts of Iron IV* 和 *The New Order: Last Days of Europe* 的黑话，您可以选择性阅读。如果感觉读不懂，别担心，这很正常。可以去看看 TNO 相关的科普——如果您对一个在黑日下破碎却又残留着希望的反乌托邦感兴趣的话。

那么第二天白天，小氯和 W 做了什么呢？

答案：什么都没做。

开玩笑，就重庆白天那个天怒人怨的温度，一次就已经要坏掉了好吧……

既然不打算出去，那么自然也需要找点别的乐子。然后 W 就给小氯展示了一点好看爱看的东西——TNO 实况。

> 这究竟是哪位神通广大的贵公子，居然能把电话打到我的总指挥部？（拿起电话）喂，您好？哦，是麦乐送啊，能麻烦您放到 XXX 房间门口吗？有电梯可以直接上来。好的，好的，麻烦您了，谢谢，再见。

我们选择的势力也非常经典——布里亚特，萨布林同志。

就游戏本身而言，总体还算顺利：开局先打伊尔库茨克（审判牢同志亚戈达），再吞赤塔、阿穆尔（此处鞭尸一下罗渣，又屑又弱，以一己之力拉低了整个远东的道德水准），然后再打马加丹（神授国这局被马加丹吞了，唉，神父也是好人呐，希望他去汇报工作的时候和方济各教宗能相处愉快）和一个空壳子统一远东，然后就是全俄吃鸡大赛半决赛和决赛，间隙种田就完事了。

最难打的是半决赛。中西伯利亚赛区如果是黑军出线的话，应该是可以和平统一的（呜呜呜，安康贴贴）。很可惜出线的是中西伯利亚大公国（克麦罗沃）。打起来非常费劲。没办法，远东太穷了，拼尽全力才能种出来二十多个生产单位，人家中西伯利亚随随便便就种了四五十个。最后没办法，开控制台 `annex` 了（~~大公国：你是真的苟~~）。

不过进决赛了其实就好打了。因为这一局的西部赛区非常抽象：西西伯利亚出线的是黑联（噔噔咚），而西俄方面萨马拉（苟俄键弗拉索夫）居然把西俄革端了（朱可夫带元帅你是怎么了啊）。然后萨马拉和黑联开始互掐，拉锯了半天，最后萨马拉把黑联吞了（审判未遂）。Emmm，怎么说呢，苟俄键虽然也不太拟人，但是和黑联相比那还是救主了好吧。原本以为这局萨马拉这么强，又要控制台神力了，然而事实是被我们一路平推。红军最强大！

具体路线的话，萨宝嘛，鉴中之鉴，我们自然是要走一些理想主义的路线的。唯一有点小缺憾的是审判 NKVD，为了发展需要还是选了改组而不是解散（此处继续鞭尸布哈林和牢同志）。此外玩着玩着还出了一个稀有事件，就是老美的工业援助。据 W 说，之前从来没见过这个事件。怎么说呢，在 TNO 的世界线里，老美已经算很鉴了好吧（~~所以这里我没有叫它牢美~~）。

然后最后，把萨马拉推了之后，就可以点超事件统一俄罗斯了。BGM 响起那一瞬间的感受，简直无法用语言形容。

> И вновь продолжается бой. 
> 
> 战斗仍然将会继续。
> 
> И сердцу тревожно в груди... 
> 
> 激情满怀心在飞跃……
> 
> И Ленин - такой молодой, 
> 
> 列宁是如此的年轻，
> 
> И юный Октябрь впереди! 
> 
> 年轻的十月人向前进！

所以……如果你时常感觉情绪低落，又恰巧会玩 HOI4 的话，不妨去试试布里亚特吧。不需要追求速通、无伤或者是别的什么成就，甚至不需要你独立地打下来（适当开开控制台是可以接受的），你只需要用自己的方式讲一个在现实中几乎不可能的左翼的童话故事，以及注意看国策介绍和事件文本。相信在超事件 BGM 响起的时候，你会获得一些面对生活的勇气的。

> 坚信生活的美好，保持乐观的态度，要知道革命总是无往不胜的。

~~其实还打了一局护国军，结果出 bug 被高卡卡端了~~

## 江湖菜

大概蜗居到四点钟，W 提议提前出发——原因很明显，为堵车留出一些余量。小氯同意了，尽管并不知道要去哪。

然后是平平无奇的坐车。由于小氯有点中暑，因此大部分时间在闭着眼睛休息。再睁开眼睛时，已经到渝中区了。

这里似乎是什么美食街之类的地方，但并不是大商场，只是许多店铺和几栋大楼挤在一起。街边可以看到在石墩上下象棋的老者（我们还看了一盘），在楼梯上有大声争辩甚至是吵架的人。空气有些发闷，川菜浓郁的香气在迟滞的空气中打旋。

「重庆就是这样嘛，江湖气很足。」W 一边慢下脚步等我，一边回头对我说。

我不知道怎么回应，只能点头表示同意。

听着 W 科普什么是「码头文化」，小氯的脑子里想的却是另一些东西——所谓的江湖菜。

这个词又是在高中时的一道语文阅读题中看到的。可惜的是，小氯对于其中大部分的情节都记得不甚清楚了。唯一比较清晰的是文中对鱼汤的评价：

> 鱼汤泡饭，鱼肉佐酒。即使是在凄风冷雨的江湖夜，人也会快活得荡气回肠。

街头巷尾的馆子，不同于金碧辉煌的大堂的味道。粗犷的，浓烈的，热气腾腾的，抱成团的油烟在掀开盖子的瞬间炸开、升腾，熏得镜片满是水雾，人的脑子被烟火气冲得晕晕乎乎。不知道这顿饭是否能有幸见识到江湖菜的味道。

这么胡思乱想着，脚步已经停在了一家店的门口——一家装修得不错的店面，门边有很多招牌菜的介绍。

……所以什么是蹄花？是炖猪蹄吗？如果是的话，那还挺好的。

坐定，一起点了几道菜。一道炖蹄花，一道水煮肉片，还有些别的菜。等会，为什么北冰洋点了四份啊喂？

最先上来的是……米饭。口感还好，偏硬，但很香，类似于家里的饭锅味道，但淡一些。

然后就是蹄花了。不出所料，果然是猪蹄。

![chongqing-pork-trotter|495](https://img.viento.cc/20250504-chongqing-pork-trotter.avif)

照片拍得不怎么样，但是这道菜真的很美味。猪蹄炖得软烂，汤的话……我能这么形容吗？就好像猪蹄把它所有的营养都送给了这些液体，而自己只留下了口感一样。

不过最让我吃惊的还是水煮肉片。倒不是因为我们需要在一大碗辣椒中找肉和蔬菜，也不是因为这种满是辣椒却不太辣（反而偏鲜）的口感，而是因为……

> 水煮肉片为什么会有这么多肉？

是的，在小氯的高中食堂，水煮肉片是一道「名菜」。不过，没有这么多辣椒，没有汤，同时里面至少 75% 是蔬菜。

最终我们都吃撑了。在车上休息的时候，小氯曾经迷迷糊糊地想，太难受了，晚上可要少吃一点。但是事实证明，在川渝菜系面前，你吃不下东西和你吃不下东西完全是两回事。

不知道这顿饭能否叫作正宗的江湖菜，不过小氯是无所谓的。而且，江湖菜似乎也没什么正宗之说吧。

## 城上

吃完之后，我们在附近的大街漫步。W 说：离这里也不远，我们走着过去吧。

小氯点头应是，尽管完全不知道要去哪。因为我们已经计划好晚上去坐一坐游轮，小氯便以为是去买票一类的。

一边聊天一边走着，一边消耗着没喝完的饮品。渐渐地，四周的人多了起来，而且似乎都在与我们向着同一个方向前进。

「喏，就是这。」W 停下了脚步，指着百米开外的一座建筑，在四周的高楼大厦中显得很扎眼。「看起来和周围的城市有点格格不入。」

小氯有些奇怪地绕到了建筑面前，然后沉默了。

> 「人民解放纪念碑」

原来之前计划要来解放碑看看，是真的啊……

顺便科普一下这是什么地方吧。

> 抗战胜利纪功碑暨人民解放纪念碑，本名抗战胜利纪功碑，1949 年后改称重庆人民解放纪念碑，简称解放碑，位于重庆市渝中区解放碑中央商务区的中心地带，民族路、民权路、邹容路交汇的十字路口处，是重庆的地标。 
> 
> ……
> 
> 1949 年 11 月 30 日，中国人民解放军攻占重庆主城。1950 年 10 月 1 日，西南军政委员会更改碑上文字和图案，刘伯承改题“重庆人民解放纪念碑”，简称“解放碑”，由纪念中国人民抗日战争胜利变为纪念重庆解放。 

同时在这里，小氯拍下了来重庆之后第一张带有自己的照片。

……小氯的娘亲非常擅长拍照——尤其是人物照，但小氯并非如此。所以小氯出去时，通常只拍风景，不然回去之后看自己的商业假笑会尴尬得缩成一团的。

离了解放碑，我们朝着另一个方向走去。穿过中英联络处旧址旁边的马路，穿过叫卖着冰粉和路边火锅的小巷。七拐八拐，似乎进了另一条更狭窄的道路。

![hongyadong|364](https://img.viento.cc/20250506-hongyadong.avif)

「能看出来我们现在在哪里吗？」W 一边穿行在人群之间，一边回头问我。

「在城墙上。」我毫不迟疑地回答。

「很对。」W 顺手指了指下方的江滩，「如果你是这座城的驻军将领，现在敌军从这里登陆了，你应该怎样在这里把他们防御下去呢？」

……这我怎么知道啊？！岸防炮或者架设机枪，大概？

走了一会，我们开始顺着台阶慢慢下行。台阶看起来有些高低不一，我们每一步都走得小心翼翼。四周的游人热热闹闹的，和我们擦肩而过。

「你应该听过这个说法吧？在重庆，地面实际上可能是十几楼。」当我们终于下到某个地方时，W 对我说。

小氯点头，然后看到了这里的标识路牌……

> 「洪崖洞」

![hongyadong|429](https://img.viento.cc/20250505-hongyadong.avif "自底向上地看洪崖洞")

好吧好吧，原来随心而动并且完全不做计划的，只有小氯一个啊……

以及，小氯感觉自己这一趟似乎完全在坐享其成，所有的行程都是朋友安排的（笑哭）。

最后，这张照片摄于洪崖洞的一座咖啡馆门前。在我眼中，照片中的事物是一件绝佳的现代艺术品。

![surveillance-camera-in|358](https://img.viento.cc/20250504-surveillance-camera-inside-the-cage.avif)

## 江上游

从洪崖洞下来之后。我们来到了江边的平台等候游船。这里的人极多，好在我们也并不急，干脆找了个还算清净的地方等待着了。

![hongyadong-twilight|502](https://img.viento.cc/20250505-hongyadong-twilight.avif "在江边拍到的夕阳")

期间还顺便看到了洪崖洞的亮灯仪式，只不过当时天还未完全黑下来，缺少了一点点的震撼。

> 一声钟响，祝游客朋友们平安喜乐
> 
> 二声钟响，祝游客朋友们八方来财
> 
> 三声钟响，祝游客朋友们福运绵长
> 
> 灯亮——

大致是七点多吧，游船开始登船了。夹在人群中过了码头，一点点挪动到了临江的位置。

- W：要坐哪一艘呢？
- 小氯：看起来都一样诶……不如我们摇个随机数吧。
- W：此处禁止写代码啊。
- 小氯：（亮出手机）咱有随机数生成器~
- W：6。

所以我们就登上了其中一艘游轮。在犹豫了一会后，我们加了一些钱，换到了一个船头甲板的位置。事实证明，这是个无比正确的选择。

![cruise-scenery-1|480](https://img.viento.cc/20250505-cruise-scenery-1.avif)

![cruise-scenery-2|480](https://img.viento.cc/20250505-cruise-scenery-2.avif)

「感觉如何？」坐在我对面的 W 笑着问。

「此造物主之无尽藏也。」小氯眨了眨左眼。

我们举起橙汁，碰了个杯。

## 归途

是的，我的行程就到此为止了。两天三夜听上去有些过于匆忙，但这是我能安排出最多的时间了。

而且，小氯自认为玩得很尽兴，也没有什么可以耽搁的。

由于小氯早上起来还有一点事情要处理，加之航班的时间比较早，小氯大概四点钟就起床了。和 W 简单告了个别，就搭乘上预订好的网约车，前往自己来时的机场。

当小氯意识到怎么回事时，自己已经在归途的经济舱中，睡眼惺忪地敲着这些无意义的文字。

想想看，整个旅途中，最大的一笔开支换来了窄小的空间、颠簸、耳鸣和困倦。

好荒诞呐。

---

那到此为止，这次重庆之旅就算是基本圆满地结束了。

要说去做了什么惊天动地的事，或许并非事实；但在高坡俯瞰的风景，在江上吹过的晚风，和朋友言笑晏晏的时光，以及留下的几十张照片，大概是真实存在着的吧。

那么再见了，群山中的城市。我不知道我是否会再回来，但我知道，我将自己的一部分留在了你怀中，带着你，幻想着下一个目的地。大概并不是为了去做什么：迁徙，探索，这是演化赋予人类的本能。

那么下次……我们，要去哪里呢？

[^1]: 解析：「世界渴望之城」一般是指君士坦丁堡，但不知道为什么，有人将这个称呼转接到了重庆身上。